Subject: Users' home is not created when initializing with a LUKS /home
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Mon, 4 Apr 2016 20:48:49 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

When initializing a new GuixSD system with /home on an encrypted
partition (as described in the manual), unprivileged users' home
directories are not created.

I initialized the system with the encrypted partition locked and
unmounted, but <kyamashita> from #guix had the same problem even though
they had unlocked and mounted the partition.

Of course, root can create the directories once the new system has
booted, but none of the configuration files are there, which means the
environment is not what is expected (my PATH was '/bin:/usr/bin').

I worked around the problem by removing my user from the operating
system configuration, reconfiguring, putting my user back in the
configuration, and reconfiguring again.